package netscape.plugin.composer.io;

import java.util.Enumeration;
import java.util.NoSuchElementException;

class EntityEnumeration implements Enumeration {
   private Entity[] entities;
   private int index;

   public EntityEnumeration(Entity[] var1) {
      this.entities = var1;
   }

   public boolean hasMoreElements() {
      return this.index < this.entities.length;
   }

   public Object nextElement() {
      if (this.index >= this.entities.length) {
         throw new NoSuchElementException();
      } else {
         return this.entities[this.index++];
      }
   }
}
